please remove netatalk_2.2.1.orig.tar.gz that I uploaded

Asked by Jeff Strunk on 2011-09-15

I messed up and uploaded a prerelease of netatalk as netatalk_2.2.1.orig.tar.gz when it was not the actual release. netatalk 2.2.1 has been released, and now I can't make a ppa package. I have tried deleting the old prerelease packages that failed to build, but I still get my uploads rejected:

Rejected:
File netatalk_2.2.1.orig.tar.gz already exists in UTM, but uploaded version has different contents. See more information about this error in https://help.launchpad.net/Packaging/UploadErrors.
Files specified in DSC are broken or missing, skipping package unpack verification.

Please delete the netatalk_2.2.1.orig.tar.gz that I uploaded.

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
William Grant
Solved:
2011-09-16
Last query:
2011-09-16
Last reply:
2011-09-16
Aaron Bentley (abentley) said : #1

Sorry, we can't do that. Changing the contents associated with a version would violate the expectations of package management tools. You need to specify a different version.

Jeff Strunk (jstrunk-math) said : #2

This is definitely my mistake, but it affects anyone who wants to build netatalk 2.2.1 for ubuntu. No one else has a netatalk 2.2.1 package in their PPA. If they have tried, then they are probably wondering why it is failing.

Is it absolutely not possible to delete it, or is it against policy?

Best William Grant (wgrant) said : #3

If you only uploaded it to your PPA, it only affects uploads to your PPA.

Jeff Strunk (jstrunk-math) said : #4

Thanks William Grant, that solved my question.

otto06217 (otto-kesselgulasch) said : #5

Hi,

I made such mistakes too.

Question:

If I delete the built packages, would the appropriate orig.tar deleted too?

Thanks

Regards

Thorsten